aboutsummaryrefslogtreecommitdiff
path: root/eclipse/scripts/build_update_site.sh
diff options
context:
space:
mode:
authorBob Badour <bbadour@google.com>2020-05-06 14:54:04 +0000
committerAutomerger Merge Worker <android-build-automerger-merge-worker@system.gserviceaccount.com>2020-05-06 14:54:04 +0000
commitd58f8ba3b1869530926bd5f167103dfa161787a1 (patch)
treefd845444b59dfc72656b7781596e0b1a0662c4c7 /eclipse/scripts/build_update_site.sh
parente36f051d414b814cf80b289770c1f7e58f6655ea (diff)
parentd3c69fa48e25645a343d97ac392300583e38b30a (diff)
downloadsdk-d58f8ba3b1869530926bd5f167103dfa161787a1.tar.gz
Merge "Revert "Remove unused project."" am: fc7cda06f5 am: d3c69fa48e
Change-Id: I2920d1fca1593e86805ec8a728121cf2513e2bc5
Diffstat (limited to 'eclipse/scripts/build_update_site.sh')
-rwxr-xr-xeclipse/scripts/build_update_site.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/eclipse/scripts/build_update_site.sh b/eclipse/scripts/build_update_site.sh
new file mode 100755
index 000000000..599875682
--- /dev/null
+++ b/eclipse/scripts/build_update_site.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+# Entry point to build the Eclipse plugins for local deployment.
+#
+# Input parameters:
+# $1: Optional build number. If present, will be appended to the date qualifier.
+# The build number cannot contain spaces *nor* periods (dashes are ok.)
+# -i: Optional, if present, the Google internal update site will be built. Otherwise,
+# the external site will be built
+#
+# Workflow:
+# - calls buildserver with /home/$USER/www/no_crawl and -z
+# to build and create the update size but do not zip it in the destination directory.
+
+set -e # Fail this script as soon as a command fails -- fail early, fail fast
+
+D=`dirname $0`
+BUILD_NUMBER=""
+INTERNAL_BUILD=""
+# parse input parameters
+while [ $# -gt 0 ]; do
+ if [ "$1" == "-i" ]; then
+ INTERNAL_BUILD="-i"
+ elif [ "$1" != "" ]; then
+ BUILD_NUMBER="$1"
+ fi
+ shift
+done
+
+DEST_DIR="$HOME"
+[ -z "$DEST_DIR" ] && [ -n "$USER" ] && DEST_DIR="/home/$USER"
+[ -z "$DEST_DIR" ] && DEST_DIR="~"
+DEST_DIR="$DEST_DIR/www/no_crawl"
+
+"$D/build_server.sh" "$DEST_DIR" "$BUILD_NUMBER" -z "$INTERNAL_BUILD"